# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPMP_VERSION_MAJOR           1 )
Set                                 ( CPPMP_VERSION_MINOR           0 )
Set                                 ( CPPMP_VERSION_PATCH           0 )
Set                                 ( CPPMP_VERSION_BUILD           0 )
Set                                 ( CPPMP_VERSION_HASH            "" )
Set                                 ( CPPMP_VERSION_BEHIND          0 )
Set                                 ( CPPMP_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPMP_PROJECT_NAME            "cppmp" )
Set                                 ( CPPMP_PROJECT_DESCRIPTION     "C++ meta programming library" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cppmp-var.cmake )

# Install directories
Set                                 ( CPPMP_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPMP_NAME}" )
Set                                 ( CPPMP_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPMP_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPMP_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    14 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
