# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPMP_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPMP_VERSION_MAJOR
                                                CPPMP_VERSION_MINOR
                                                CPPMP_VERSION_PATCH
                                                CPPMP_VERSION_BUILD
                                                CPPMP_VERSION_HASH
                                                CPPMP_VERSION_BEHIND
                                                CPPMP_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPMP_VERSION_SHORT
                                      "${CPPMP_VERSION_MAJOR}.${CPPMP_VERSION_MINOR}" )
Set                                 ( CPPMP_VERSION
                                      "${CPPMP_VERSION_SHORT}.${CPPMP_VERSION_PATCH}.${CPPMP_VERSION_BUILD}" )
Set                                 ( CPPMP_VERSION_COMPLETE
                                      "${CPPMP_VERSION}" )
Set                                 ( CPPMP_NAME
                                      "${CPPMP_PROJECT_NAME}-${CPPMP_VERSION_SHORT}" )
Set                                 ( CPPMP_OUTPUTNAME
                                      "${CPPMP_PROJECT_NAME}" )
If                                  ( CPPMP_VERSION_BEHIND )
    Set                                 ( CPPMP_VERSION_COMPLETE
                                          "${CPPMP_VERSION_COMPLETE}+${CPPMP_VERSION_BEHIND}" )
EndIf                               ( )
