#include <cppmp/core/checker.h>

template<typename X, typename = void>
struct tpl;

template<>
struct tpl<char, void>
{
    using is_default = cppmp::true_t;
};

template<>
struct tpl<int, void>
    { };

static_assert(
    cppmp::is_valid<void>::value,
    "Expected is_valid to be true");

static_assert(
    cppmp::is_valid<tpl<int>>::value,
    "Expected is_valid to be true");

static_assert(
    !cppmp::is_valid<tpl<float>>::value,
    "Expected is_valid to be false");
